Index: /code/branches/core4/src/core/CMakeLists.txt
===================================================================
--- /code/branches/core4/src/core/CMakeLists.txt	(revision 3289)
+++ /code/branches/core4/src/core/CMakeLists.txt	(revision 3290)
@@ -31,4 +31,5 @@
   ObjectListBase.cc
   OrxonoxClass.cc
+  WindowEventListener.cc
 
   # command
Index: /code/branches/core4/src/core/WindowEventListener.cc
===================================================================
--- /code/branches/core4/src/core/WindowEventListener.cc	(revision 3290)
+++ /code/branches/core4/src/core/WindowEventListener.cc	(revision 3290)
@@ -0,0 +1,38 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "WindowEventListener.h"
+#include "CoreIncludes.h"
+
+namespace orxonox
+{
+    WindowEventListener::WindowEventListener()
+    {
+        RegisterRootObject(WindowEventListener);
+    }
+}
Index: /code/branches/core4/src/core/WindowEventListener.h
===================================================================
--- /code/branches/core4/src/core/WindowEventListener.h	(revision 3290)
+++ /code/branches/core4/src/core/WindowEventListener.h	(revision 3290)
@@ -0,0 +1,55 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _WindowEventListener_H__
+#define _WindowEventListener_H__
+
+#include "CorePrereqs.h"
+#include "OrxonoxClass.h"
+
+namespace orxonox
+{
+    //! Interface for receiving window events like resize, moved and focusChanged
+    class _CoreExport WindowEventListener : virtual public OrxonoxClass
+    {
+        public:
+            WindowEventListener();
+            virtual ~WindowEventListener() { }
+
+            //! Window has been moved
+            virtual void windowMoved() { }
+
+            //! Window has resized
+            virtual void windowResized(unsigned int newWidth, unsigned int newHeight) { }
+
+            //! Window has lost/gained focus
+            virtual void windowFocusChanged() { }
+    };
+}
+
+#endif /* _WindowEventListener_H__ */
Index: /code/branches/core4/src/orxonox/GraphicsManager.cc
===================================================================
--- /code/branches/core4/src/orxonox/GraphicsManager.cc	(revision 3289)
+++ /code/branches/core4/src/orxonox/GraphicsManager.cc	(revision 3290)
@@ -63,6 +63,6 @@
 #include "core/Game.h"
 #include "core/GameMode.h"
+#include "core/WindowEventListener.h"
 #include "tools/ParticleInterface.h"
-#include "interfaces/WindowEventListener.h"
 
 // HACK!
Index: /code/branches/core4/src/orxonox/gamestates/GSGraphics.h
===================================================================
--- /code/branches/core4/src/orxonox/gamestates/GSGraphics.h	(revision 3289)
+++ /code/branches/core4/src/orxonox/gamestates/GSGraphics.h	(revision 3290)
@@ -39,5 +39,5 @@
 
 #include "core/GameState.h"
-#include "interfaces/WindowEventListener.h"
+#include "core/WindowEventListener.h"
 
 namespace orxonox
Index: /code/branches/core4/src/orxonox/interfaces/InterfaceCompilation.cc
===================================================================
--- /code/branches/core4/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 3289)
+++ /code/branches/core4/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 3290)
@@ -40,5 +40,4 @@
 #include "Tickable.h"
 #include "TimeFactorListener.h"
-#include "WindowEventListener.h"
 
 #include "core/CoreIncludes.h"
@@ -103,15 +102,4 @@
 
     //----------------------------
-    // WindowEventListener
-    //----------------------------
-    /**
-        @brief Constructor for the WindowEventListener.
-    */
-    WindowEventListener::WindowEventListener()
-    {
-        RegisterRootObject(WindowEventListener);
-    }
-
-    //----------------------------
     // Rewardable
     //----------------------------
Index: de/branches/core4/src/orxonox/interfaces/WindowEventListener.h
===================================================================
--- /code/branches/core4/src/orxonox/interfaces/WindowEventListener.h	(revision 3289)
+++ 	(revision )
@@ -1,57 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _WindowEventListener_H__
-#define _WindowEventListener_H__
-
-#include "OrxonoxPrereqs.h"
-#include "core/OrxonoxClass.h"
-
-namespace orxonox
-{
-    /**
-        @brief Interface for receiving window events.
-    */
-    class _OrxonoxExport WindowEventListener : virtual public OrxonoxClass
-    {
-        public:
-            WindowEventListener();
-            virtual ~WindowEventListener() { }
-
-            /** Window has moved position */
-            virtual void windowMoved() { }
-
-            /** Window has resized */
-            virtual void windowResized(unsigned int newWidth, unsigned int newHeight) { }
-
-            /** Window has lost/gained focus */
-            virtual void windowFocusChanged() { }
-    };
-}
-
-#endif /* _WindowEventListener_H__ */
Index: /code/branches/core4/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- /code/branches/core4/src/orxonox/overlays/OrxonoxOverlay.h	(revision 3289)
+++ /code/branches/core4/src/orxonox/overlays/OrxonoxOverlay.h	(revision 3290)
@@ -42,5 +42,5 @@
 #include "util/OgreForwardRefs.h"
 #include "core/BaseObject.h"
-#include "interfaces/WindowEventListener.h"
+#include "core/WindowEventListener.h"
 
 namespace orxonox
Index: /code/branches/core4/src/orxonox/overlays/console/InGameConsole.h
===================================================================
--- /code/branches/core4/src/orxonox/overlays/console/InGameConsole.h	(revision 3289)
+++ /code/branches/core4/src/orxonox/overlays/console/InGameConsole.h	(revision 3290)
@@ -36,5 +36,5 @@
 #include "util/OgreForwardRefs.h"
 #include "core/Shell.h"
-#include "interfaces/WindowEventListener.h"
+#include "core/WindowEventListener.h"
 
 namespace orxonox
